> # NAME

> cgGetProfile - get the profile enumerant from a profile name

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGprofile cgGetProfile( const char * profile_string );

> # PARAMETERS

> profile_string

>   A string containing the case-sensitive profile name.

> # RETURN VALUES

> Returns the profile enumerant of profile_string.

> Returns CG_PROFILE_UNKNOWN if the given profile does not exist.

> # DESCRIPTION

> cgGetProfile returns the enumerant assigned to a profile name.

> # EXAMPLES

>       CGprofile ARBVP1Profile = cgGetProfile("arbvp1");

>       if(cgGetProgramProfile(myprog) == ARBVP1Profile)
>       {
>         /* Do stuff */
>       }

> # ERRORS

> CG_INVALID_PARAMETER_ERROR is generated if profile_string is NULL.

> # HISTORY

> cgGetProfile was introduced in Cg 1.1.

> # SEE ALSO

> cgGetProfileString, cgGetProgramProfile